Subject: Re: [X2Go-User] Buggy File & Folder sharing

From: Graham Stoddart-Stones <[email-masked]>
Date: Sun, 13 Apr 2014 13:04:45 -0400 (EDT)

Package: x2go client 
Tag: build-macosx 
Severity: important 
Version: 3.99.2.1 

Hi Mike: 

Not sure if this ever went any further please? If so, I apologise that I have missed it..... 

Thank you 

Graham 

----- Original Message -----

From: "Graham Stoddart-Stones" <[email-masked]> 
To: "Mike Gabriel" <[email-masked]> 
Cc: "Thierry Kauffmann" <[email-masked]>, [email-masked], [email-masked] 
Sent: Friday, 14 March, 2014 7:27:34 PM 
Subject: Re: [X2Go-User] Buggy File & Folder sharing 

Package: x2goclient 
Tag: build-macosx 
Severity: important 
Version: 3.99.2.1 

Hi Mike: 

Please find attached the output from strace using the latest version of the X2go client for the Mac. I again encountered the same issue of the error messages popping up re openssh-server not running, and a File Not Found. 

Hope this helps to narrow down this issue! 

Thank you 

Graham 
----- Original Message -----

From: "Mike Gabriel" <[email-masked]> 
To: "Graham Stoddart-Stones" <[email-masked]> 
Cc: "Thierry Kauffmann" <[email-masked]>, [email-masked], [email-masked] 
Sent: Friday, 14 March, 2014 1:53:55 PM 
Subject: Re: [X2Go-User] Buggy File & Folder sharing 

Hi Graham, hi Thierry, 

[I forward this bug repport to our bug tracker 

On Do 13 Mär 2014 15:01:42 CET, Graham Stoddart-Stones wrote: 

> Thierry: 
> 
> Just to confirm that we are encountering the same problem with Mac 
> OSX 3.5.1, X2Goclient 3.99.2.1: 
> 
> When you start up X2Goclient on the Mac, you get an error dialog: 
> 
> "sshd client not started, you'll need sshd for printing and file 
> sharing....." 
> 
> In OSX, openssh-server is built-in, and is activated by setting 
> "Enable Remote Login" in System Preferences Sharing, as many others 
> have noted. However, this does not stop the error dialog from 
> recurring every time. That leads to another error message "File 
> cannot be opened". If one ignores this, X2Goclient starts and runs 
> normally, provided one wishes to neither print locally, nor share 
> files from the Mac with the remote server. 
> 
> I have seen lots of other emails on this topic, suggesting that the 
> error message does not necessarily apply to the Mac (ie sshd is in 
> fact running, the error message simply means that the x2goclient 
> code is looking for a response from a Linux-like file (which does 
> not occur in the same place in OSX), similarly the "File Cannot be 
> opened" again refers to a file that is either not used on a Mac, or 
> is in a wholly different location from where that file is actually 
> stored on a Mac. I have not seen this point formally answered 
> anywhere. 
> 
> For me, the concern is that, whether sshd is running on the Mac or 
> not, File Sharing does not appear to be working. I am not 
> sufficiently familiar with X2Go nor with the Mac to know where to 
> look on the server for the Mac shared folders, but I do know that 
> there is nothing under "media", as there is with Linux and a PC, 
> which is where I normally look. Again, I have searched the bulletins 
> and forums, and often seen this point raised - I have just not found 
> the answer on how to get round it. 
> 
> So, am keen to see how you get on, and whether anybody else can 
> please shed any light! 

Can you cross-check the observed problem with latest X2Go Client [1]??? 

Can you launch X2Go Client from a terminal on Mac OS X and use a tool 
like strace (if that exists) and check its output for pointers to 
file-not-found errors? 

That would be really helpful for tracking down this issue. 

Mike 

[1] http://code.x2go.org/releases/binary-macosx/x2goclient/releases/4.0.1.3/ 
-- 

DAS-NETZWERKTEAM 
mike gabriel, herweg 7, 24357 fleckeby 
fon: +49 (1520) 1976 148 

GnuPG Key ID 0x25771B31 
mail: [email-masked], http://das-netzwerkteam.de 

freeBusy: 
https://mail.das-netzwerkteam.de/freebusy/m.gabriel%40das-netzwerkteam.de.xfb